2021-04-18 15:45  阅读(110)
文章分类:Java 基础实战 文章标签:JavaJava 教程
©  原文作者:w3cschool 原文地址:https://www.w3cschool.cn/java/java-examples.html

以下实例演示了使用多个 catch 来处理链试异常:

    /*
     author by w3cschool.cc
     Main.java
     */
    
    public class Main{
       public static void main (String args[])throws Exception  {
          int n=20,result=0;
          try{
             result=n/0;
             System.out.println("结果为"+result);
          }
          catch(ArithmeticException ex){
             System.out.println("发算术异常: "+ex);
             try {
             throw new NumberFormatException();
             }
             catch(NumberFormatException ex1) {
                System.out.println("手动抛出链试异常 : "+ex1);
             }
          }
       }
    }
    

以上代码运行输出结果为:

    发算术异常: java.lang.ArithmeticException: / by zero
    手动抛出链试异常 : java.lang.NumberFormatException
    
点赞(0)
版权归原创作者所有,任何形式转载请联系作者; Java 技术驿站 >> Java 实例 – 链试异常
上一篇
Java 实例 – 重载方法异常处理
下一篇
Java 实例 – 自定义异常